Loading...
Searching...
No Matches
DfsWizardBase< GR > Class Template Reference

## Detailed Description

template<class GR>
class lemon::DfsWizardBase< GR >

Default traits class used by DfsWizard.

Template Parameters

  GR | The type of the digraph.

`#include <lemon/dfs.h>`

Inheritance diagram for DfsWizardBase< GR >:
[legend]

## Public Member Functions

| DfsWizardBase ()
| Constructor.
| DfsWizardBase (const GR &g)
| Constructor.

## Additional Inherited Members

Public Types inherited from DfsWizardDefaultTraits< GR >
typedef GR | Digraph
| The type of the digraph the algorithm runs on.
typedef Digraph::template NodeMap< typename Digraph::Arc > | PredMap
| The type of the map that stores the predecessor arcs of the DFS paths.
typedef NullMap< typename Digraph::Node, bool > | ProcessedMap
| The type of the map that indicates which nodes are processed.
typedef Digraph::template NodeMap< bool > | ReachedMap
| The type of the map that indicates which nodes are reached.
typedef Digraph::template NodeMap< int > | DistMap
| The type of the map that stores the distances of the nodes.
typedef lemon::Path< Digraph > | Path
| The type of the DFS paths.
Static Public Member Functions inherited from DfsWizardDefaultTraits< GR >
static PredMap * | createPredMap (const Digraph &g)
| Instantiates a PredMap.
static ProcessedMap * | createProcessedMap (const Digraph &g)
| Instantiates a ProcessedMap.
static ReachedMap * | createReachedMap (const Digraph &g)
| Instantiates a ReachedMap.
static DistMap * | createDistMap (const Digraph &g)
| Instantiates a DistMap.

## Constructor & Destructor Documentation

## DfsWizardBase() [1/2]

template<class GR>

DfsWizardBase | ( |  | ) |

inline

This constructor does not require parameters, it initiates all of the attributes to `0`.

## DfsWizardBase() [2/2]

template<class GR>

DfsWizardBase | ( | const GR & | g | ) |

inline

This constructor requires one parameter, others are initiated to `0`.

Parameters

  g | The digraph the algorithm runs on.